Description

Hello,

In the admin/plugins page the Check for updates link works well when there is a small number of plugins installed.

However above a certain amount, more than 13-14 in our case, it fails almost 50% of the time

It gets worst as number of plugin increases, I also assume the network condition also affect the process

To reproduce the issue one would need to have 10-20 or more plugins installed

When it  fails a popup shows up after 3secs saying;

Unable to retrieve plugin informations from www.redmine.org

 My temporary solution:

I found out that the check was initiated from the browser (javascript) and further research led me to

./app/views/admin/plugins.html.erb which contains the js code

$ grep -i timeout app/views/admin/plugins.html.erb

timeout: 3000,

Changed it to 30000 then restarted Redmine, no more failure !!

So it would be nice if this could be fixed at the source

Merci :)

Our env:

Environment:

  Redmine version                3.4.5.stable

  Ruby version                   2.3.5-p376 (2017-09-14) [x86_64-linux]

  Rails version                  4.2.8

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.7.14

  Git                            2.15.1

  Filesystem

  Xitolite                       2.15.1

Redmine plugins:

  additionals                    2.0.11

  redmine_activerecord_session_store 0.0.1

  redmine_agile                  1.4.7

  redmine_bootstrap_kit          0.2.5

  redmine_checklists             3.1.11

  redmine_contacts               4.2.1

  redmine_contacts_helpdesk      3.0.10

  redmine_drawio                 0.8.2
  redmine_git_hosting            1.2.3

  redmine_image_clipboard_paste  3.3.0

  redmine_lightbox2              0.4.3

  redmine_move_comments          0.0.2

  redmine_people                 1.4.0

  redmine_products               2.0.5

  redmine_silencer               0.4.3

  redmine_wiki_extensions        0.8.1

  sidebar_hide                   0.0.8

  vault                          0.3.10

Associated revisions

Revision 17909 - 2019-03-01 09:15 - Go MAEDA

Timeout for "Check for updates" on Plugins page is too short (#30939).

Contributed by Eric Gauthier.

Revision 17910 - 2019-03-02 04:04 - Go MAEDA

Merged r17909 from trunk to 4.0-stable (#30939).

Revision 17911 - 2019-03-02 04:07 - Go MAEDA

Merged r17909 from trunk to 3.4-stable (#30939).

History

#1 - 2019-03-01 00:22 - Go MAEDA

- Status changed from New to Needs feedback

Do you think that changing the timeout value to 10 seconds will resolve the problem on your Redmine instance? I think 30 seconds is too long.

#2 - 2019-03-01 00:52 - Eric Gauthier

Yes 10 seconds is good in our case, after changing it to 30 secondes I ran many tests from 2 separate env. and it never took more than 4-5 seconds.

#3 - 2019-03-01 01:22 - Go MAEDA

- Subject changed from Admin page - check for plugins updates timeout too short  to Timeout for "Check for updates" on Plugins page is too short

- Status changed from Needs feedback to New

- Target version set to 3.4.10

This patch increases the timeout to 10 seconds. I am setting the target version to 3.4.10.

diff --git a/app/views/admin/plugins.html.erb b/app/views/admin/plugins.html.erb

index e1a1b2a64..3d88c90d0 100644

--- a/app/views/admin/plugins.html.erb

+++ b/app/views/admin/plugins.html.erb

@@ -29,7 +29,7 @@ $(document).ready(function(){

       dataType: "jsonp",

       url: "https://www.redmine.org/plugins/check_updates",

       data: <%= raw_json plugin_data_for_updates(@plugins) %>,

-      timeout: 3000,

+      timeout: 10000,

       beforeSend: function(){

         $('#ajax-indicator').show();

       },

#4 - 2019-03-02 04:08 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the change. Thank you for reporting this.

#5 - 2019-03-20 17:17 - Vincent Bruggeman
Is it possible to change the method to POST aswell?

#6 - 2019-03-21 01:24 - Go MAEDA

Vincent Bruggeman wrote:

Is it possible to change the method to POST aswell?

 Please open a new issue. It is another request.
